Bug 37128 - Writer saves text alignment of RTL paragraph not according to the ODF specification
Summary: Writer saves text alignment of RTL paragraph not according to the ODF specifi...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: high normal
Assignee: Not Assigned
URL:
Whiteboard: odf odf_validation
Keywords:
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2011-05-12 02:01 UTC by Dotan Cohen
Modified: 2018-08-22 02:37 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dotan Cohen 2011-05-12 02:01:40 UTC
This is an interoperability issue.

OOo writer seems to store and read text alignment not according to spec.
The fo:text-align tag gets the value 'end' for text that has a visual alignment
right and a text progression (style:writing-mode) of right-to-left.
If you look at the spec; http://www.w3.org/TR/xsl/#text-align then 'end' is
specified as;
 «Specifies that the content is to be aligned on the end-edge in the
inline-progression-direction.»

This means that for LTR paragraphs end equals right and for RTL paragraphs end
equals the visual alignment of left.
Yet OOo seems to equate 'end' with 'right' unconditionally.

Test documents and related materials can be found in the koffice bugtracker;
http://bugs.kde.org/207915

This is a critical issue preventing adoption of LibreOffice at some labs at my former university. The original OOo bug is here:
http://openoffice.org/bugzilla/show_bug.cgi?id=105270

Now that LibreOffice is becoming well-known one of the labs contacted me to see if this issue is resolved. Please, people are trying to flee MSO to LibreOffice but this issue is preventing users of RTL languages from adopting the software as it's biggest selling point (interoperability) is broken.
Comment 1 Petr Mladek 2011-05-16 08:46:18 UTC
It seems that od started to implement this in CWS textalignment01.
Comment 2 Björn Michaelsen 2011-12-23 12:06:54 UTC Comment hidden (obsolete)
Comment 3 Dotan Cohen 2012-01-11 01:21:02 UTC
Yes, still valid, and a very critical interoperability issue. Switching to NEW, and increasing the Importance as the whole premise of LibreOffice is interoperability and standards compliance. What is the point of having yet another proprietary office suite?
Comment 4 Michael Stahl (CIB) 2012-01-24 03:19:32 UTC
i agree that this is a problem.

as fixing this requires quite a bit of effort, ideally we'd
want to use the significant work that has already
been done by od in OOo CWS textalignment01.

unfortunately that work is not integrated at ApacheOO yet,
and is AFAIK only available under LGPLv3 license; we'd really
like to be able to license the whole of LO under MPL/LGPLv3+,
so it would need integrating and re-licensing at
ApacheOO first, then we could merge it from there.
Comment 5 Werner Bruns 2013-07-21 12:38:31 UTC
Hallo zusammen,

entschuldigt bitte, dass ich in deutsch schreibe, aber ich kann leider kein englisch.
Ich arbeite seit den MS-Dos Anfaengen mit StarOffice, nun LibreOffice.
In meiner LibreOffice-Version 3.6.1.2 (Build ID: e29a214) unter Windows 7Pro passiert folgendes:
Die Datei (Writer) umfasst ca. 200 KB, ca. 150 Seiten, viele Abbildungen (Verknuepft) und die Verzeichnisse Inhalt, Literatur, Index.
Immer wenn ich die Datei speicher, stuerzt LibreOffice ab. Nach der automatischen Wiederherstellung ist haeufig der letzte Stand nicht wiederhergestellt. Es ich sehr aergerlich, mit einem solchen Fehler zu leben.
Habe schon ein Globaldokument erzeugt, in der Hoffnung auf Besserung. Leider ohne Erfolg!
Leider kann ich noch nicht auf die Version 4 umsteigen, da ich den Dudenkorrektor eingebunden habe.
Gibt es eventuell eine Loesung?

Lieben Gruß aus dem sonnigen Emden/ Deutschland

Werner Bruns
Comment 6 Eike Rathke 2013-07-22 10:14:40 UTC
(In reply to comment #5)
> entschuldigt bitte, dass ich in deutsch schreibe, aber ich kann leider kein
> englisch.

Dein Problem ist etwas komplett anderes als das Thema dieses Bugs hier, bitte keine Bugs kapern und speziell keine Felder umsetzen. Erstelle stattdessen einen neuen Bug oder besser bitte jemanden aus der deutschsprachigen Gemeinschaft einen neuen Bug auf Englisch zu erstellen. Siehe http://de.libreoffice.org/hilfe-kontakt/mailing-listen/ Mailingliste users@de.libreoffice.org

[Commenter hijacked this bug to write about something completely unrelated]
Comment 7 Björn Michaelsen 2014-01-17 00:43:34 UTC Comment hidden (obsolete)
Comment 8 Cédric Bosdonnat 2014-01-20 08:57:19 UTC
Restricted my LibreOffice hacking area
Comment 9 Joel Madero 2015-05-02 15:44:00 UTC Comment hidden (obsolete)
Comment 10 Shimi Chen 2015-05-02 16:02:15 UTC
Still a big issue with 4.4.2.2 Arch Linux build-1.
Comment 11 Dotan Cohen 2015-05-03 11:51:10 UTC
Related OOo link rotted when OOo bugtracker was moved. Here is the link on archive.org:
https://web.archive.org/web/20110301055910/http://openoffice.org/bugzilla/show_bug.cgi?id=105270
Comment 12 Dotan Cohen 2015-05-03 11:53:18 UTC
Users confirm that the issue is not resolved in the latest LibreOffice release, 4.4 on Windows.
Comment 13 QA Administrators 2016-09-20 09:37:46 UTC Comment hidden (obsolete)
Comment 14 Shimi Chen 2016-10-31 09:16:34 UTC
Still an issue in 5.2.2.2.0 (Arch Linux x86-64).
Comment 15 QA Administrators 2018-08-22 02:37:13 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug